summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--dev-python/awesome-slugify/Manifest1
-rw-r--r--dev-python/awesome-slugify/awesome-slugify-1.6.5.ebuild21
-rw-r--r--dev-python/awesome-slugify/metadata.xml16
-rw-r--r--dev-python/cachelib/Manifest1
-rw-r--r--dev-python/cachelib/cachelib-0.1.ebuild20
-rw-r--r--dev-python/cachelib/metadata.xml15
-rw-r--r--dev-python/chainmap/Manifest1
-rw-r--r--dev-python/chainmap/chainmap-1.0.3.ebuild19
-rw-r--r--dev-python/chainmap/metadata.xml15
-rw-r--r--dev-python/emoji/Manifest1
-rw-r--r--dev-python/emoji/emoji-0.5.1.ebuild18
-rw-r--r--dev-python/emoji/metadata.xml16
-rw-r--r--dev-python/flask-assets/Manifest1
-rw-r--r--dev-python/flask-assets/flask-assets-0.12.ebuild21
-rw-r--r--dev-python/flask-assets/metadata.xml15
-rw-r--r--dev-python/flask-babel/Manifest1
-rw-r--r--dev-python/flask-babel/flask-babel-0.12.2.ebuild48
-rw-r--r--dev-python/flask-babel/metadata.xml13
-rw-r--r--dev-python/flask-login/Manifest1
-rw-r--r--dev-python/flask-login/flask-login-0.2.11.ebuild31
-rw-r--r--dev-python/flask-login/metadata.xml12
-rw-r--r--dev-python/flask/Manifest1
-rw-r--r--dev-python/flask/files/flask-0.10.1-is_package.patch13
-rw-r--r--dev-python/flask/files/flask-0.10.1-sort_json.patch54
-rw-r--r--dev-python/flask/files/flask-0.10.1-test_appcontext.patch14
-rw-r--r--dev-python/flask/flask-0.10.1-r2.ebuild60
-rw-r--r--dev-python/flask/metadata.xml12
-rw-r--r--dev-python/frozendict/Manifest1
-rw-r--r--dev-python/frozendict/frozendict-1.2.ebuild18
-rw-r--r--dev-python/frozendict/metadata.xml16
-rw-r--r--dev-python/future/Manifest1
-rw-r--r--dev-python/future/future-0.17.1.ebuild48
-rw-r--r--dev-python/future/metadata.xml11
-rw-r--r--dev-python/jinja/Manifest1
-rw-r--r--dev-python/jinja/jinja-2.8.1.ebuild75
-rw-r--r--dev-python/jinja/metadata.xml12
-rw-r--r--dev-python/pkginfo/Manifest1
-rw-r--r--dev-python/pkginfo/metadata.xml11
-rw-r--r--dev-python/pkginfo/pkginfo-1.5.0.1.ebuild47
-rw-r--r--dev-python/pylru/Manifest1
-rw-r--r--dev-python/pylru/metadata.xml16
-rw-r--r--dev-python/pylru/pylru-1.2.0.ebuild18
-rw-r--r--dev-python/rsa/Manifest1
-rw-r--r--dev-python/rsa/metadata.xml11
-rw-r--r--dev-python/rsa/rsa-4.0.ebuild32
-rw-r--r--dev-python/sarge/Manifest1
-rw-r--r--dev-python/sarge/metadata.xml15
-rw-r--r--dev-python/sarge/sarge-0.1.5.ebuild18
-rw-r--r--dev-python/sentry-sdk/Manifest1
-rw-r--r--dev-python/sentry-sdk/metadata.xml15
-rw-r--r--dev-python/sentry-sdk/sentry-sdk-0.7.7.ebuild33
-rw-r--r--dev-python/typing/Manifest1
-rw-r--r--dev-python/typing/metadata.xml11
-rw-r--r--dev-python/typing/typing-3.6.6.ebuild30
-rw-r--r--dev-python/websocket-client/Manifest1
-rw-r--r--dev-python/websocket-client/metadata.xml13
-rw-r--r--dev-python/websocket-client/websocket-client-0.56.0.ebuild42
-rw-r--r--dev-python/werkzeug/Manifest1
-rw-r--r--dev-python/werkzeug/metadata.xml15
-rw-r--r--dev-python/werkzeug/werkzeug-0.15.1.ebuild35
-rw-r--r--dev-python/wrapt/Manifest1
-rw-r--r--dev-python/wrapt/metadata.xml12
-rw-r--r--dev-python/wrapt/wrapt-1.11.1.ebuild46
-rw-r--r--dev-tex/BibTool/BibTool-2.67.ebuild1
-rw-r--r--www-apps/octoprint/Manifest1
-rw-r--r--www-apps/octoprint/files/octoprint.confd5
-rw-r--r--www-apps/octoprint/files/octoprint.initd39
-rw-r--r--www-apps/octoprint/metadata.xml8
-rw-r--r--www-apps/octoprint/octoprint-1.3.11_rc3.ebuild109
-rw-r--r--x11-misc/xaut/Manifest1
-rw-r--r--x11-misc/xaut/metadata.xml8
-rw-r--r--x11-misc/xaut/xaut-0.5.0.ebuild22
72 files changed, 1247 insertions, 0 deletions
diff --git a/dev-python/awesome-slugify/Manifest b/dev-python/awesome-slugify/Manifest
new file mode 100644
index 0000000..61750a4
--- /dev/null
+++ b/dev-python/awesome-slugify/Manifest
@@ -0,0 +1 @@
+DIST awesome-slugify-1.6.5.tar.gz 8405 SHA256 bbdec3fa2187917473a2efad092b57f7125a55f841a7cf6a1773178d32ccfd71 SHA512 3f8cc595cecc2a77b90bb800ea9ce889dbfa40427a4fc843f8f1caf90ddc6baa44d7195e6af2f8853c6038168f29da1d77a4ffd11a38d514140a07e4eb960c11 WHIRLPOOL b54226400ba14dd2c3477c7b7db8f6bfb7bbcbc735f6d71922d187761d854e7861b955d44036262538efc8e8673d3faed763ded5bb96e0f9e1b70d15bfd3067d
diff --git a/dev-python/awesome-slugify/awesome-slugify-1.6.5.ebuild b/dev-python/awesome-slugify/awesome-slugify-1.6.5.ebuild
new file mode 100644
index 0000000..41f92be
--- /dev/null
+++ b/dev-python/awesome-slugify/awesome-slugify-1.6.5.ebuild
@@ -0,0 +1,21 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=(python2_7 python3_{5,6,7} pypy pypy3)
+
+inherit distutils-r1
+
+BDEPEND=""
+RDEPEND="
+ dev-python/regex
+ >=dev-python/unidecode-0.04.14
+ <dev-python/unidecode-0.05"
+
+DESCRIPTION="Python flexible slugify function"
+HOMEPAGE="https://github.com/dimka665/awesome-slugify"
+LICENSE="GPL-3"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64"
diff --git a/dev-python/awesome-slugify/metadata.xml b/dev-python/awesome-slugify/metadata.xml
new file mode 100644
index 0000000..7b3c5c9
--- /dev/null
+++ b/dev-python/awesome-slugify/metadata.xml
@@ -0,0 +1,16 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>alexxy@gentoo.org</email>
+ <name>Alexey Shvetsov</name>
+ </maintainer>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="pypi">awesome-slugify</remote-id>
+ <remote-id type="github">dimka665/awesome-slugify</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/dev-python/cachelib/Manifest b/dev-python/cachelib/Manifest
new file mode 100644
index 0000000..bd654c9
--- /dev/null
+++ b/dev-python/cachelib/Manifest
@@ -0,0 +1 @@
+DIST cachelib-0.1.tar.gz 9844 SHA256 8b889b509d372095357b8705966e1282d40835c4126d7c2b07fd414514d8ae8d SHA512 8ed41a14f3bc36393ecdce7dcc0023ce954900f4541463cf08b823b6c11a28532812c9873d32991f023986ed2ded39a560ee556447bc6d4c3e45c3d4d749c2b9 WHIRLPOOL e87bead49543ac9e2c9d59367bb1f06f7aee9d0ca064bec9cfd48f065b483b71e5b3fb299efb2c7c9a8844f2035e24fad53b230ce2c788e6eff85989ef626805
diff --git a/dev-python/cachelib/cachelib-0.1.ebuild b/dev-python/cachelib/cachelib-0.1.ebuild
new file mode 100644
index 0000000..cff6eab
--- /dev/null
+++ b/dev-python/cachelib/cachelib-0.1.ebuild
@@ -0,0 +1,20 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python2_7 python3_{5,6,7} pypy pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="A collection of cache libraries in the same API interface."
+HOMEPAGE="https://pypi.org/project/cachelib/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64"
+IUSE=""
+
+RDEPEND=""
+BDEPEND=""
diff --git a/dev-python/cachelib/metadata.xml b/dev-python/cachelib/metadata.xml
new file mode 100644
index 0000000..1f11962
--- /dev/null
+++ b/dev-python/cachelib/metadata.xml
@@ -0,0 +1,15 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>alexxy@gentoo.org</email>
+ <name>Alexey Shvetsov</name>
+ </maintainer>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="pypi">cachelib</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/dev-python/chainmap/Manifest b/dev-python/chainmap/Manifest
new file mode 100644
index 0000000..7cc13d8
--- /dev/null
+++ b/dev-python/chainmap/Manifest
@@ -0,0 +1 @@
+DIST chainmap-1.0.3.tar.gz 6325 SHA256 e42aaa4b3e2f66102a11bfd563069704bfbfd84fdcb517b564effd736bf53cd9 SHA512 0079f7e725d67a89402b00290bd9dfe5232c91050e68809c6fa76ce6697279ca6962a92f80a841341006d05d9a36fef639fe1e967631e21275aad03c1d871bad WHIRLPOOL 05d6df02bcb53fdc8d4a5507bbbadf88bc6bb1779fbf7384a8e26cc65b01990d4dfaaecee4f37bc3138c6f1ad1c537cd48f7200ba27b4a2943e444b227091024
diff --git a/dev-python/chainmap/chainmap-1.0.3.ebuild b/dev-python/chainmap/chainmap-1.0.3.ebuild
new file mode 100644
index 0000000..54d9afb
--- /dev/null
+++ b/dev-python/chainmap/chainmap-1.0.3.ebuild
@@ -0,0 +1,19 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python2_7 python3_{5,6,7} pypy )
+
+inherit distutils-r1
+
+DESCRIPTION="ChainMap implementation for older Python versions"
+HOMEPAGE="https://bitbucket.org/jeunice/chainmap"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64"
+
+RDEPEND=""
+DEPEND=""
diff --git a/dev-python/chainmap/metadata.xml b/dev-python/chainmap/metadata.xml
new file mode 100644
index 0000000..d143fb6
--- /dev/null
+++ b/dev-python/chainmap/metadata.xml
@@ -0,0 +1,15 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>alexxy@gentoo.org</email>
+ <name>Alexey Shvetsov</name>
+ </maintainer>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="pypi">chainmap</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/dev-python/emoji/Manifest b/dev-python/emoji/Manifest
new file mode 100644
index 0000000..5df496b
--- /dev/null
+++ b/dev-python/emoji/Manifest
@@ -0,0 +1 @@
+DIST emoji-0.5.1.tar.gz 42304 SHA256 a9e9c08be9907c0042212c86dfbea0f61f78e9897d4df41a1d6307017763ad3e SHA512 4bda412392e5097565b7a59b3e591ed7dde8eac872bb95e543bd3569ace627be9931eda64da7060f9fdd6e1899623925d5d53d1433212bbcc5fe10fc255e92ac WHIRLPOOL 4a918e44a93064d82990506df382f10767c35a17dc62dc4e9d8b06e9561f67b4050a9638052b254b318a17b506fd48688123504cedb1cb084e92b8b47330215e
diff --git a/dev-python/emoji/emoji-0.5.1.ebuild b/dev-python/emoji/emoji-0.5.1.ebuild
new file mode 100644
index 0000000..0ca2ee5
--- /dev/null
+++ b/dev-python/emoji/emoji-0.5.1.ebuild
@@ -0,0 +1,18 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=(python2_7 python3_{5,6,7} pypy pypy3)
+
+inherit distutils-r1
+
+DESCRIPTION="Emoji for Python"
+HOMEPAGE="https://github.com/carpedm20/emoji/"
+LICENSE="BSD"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64"
+
+BDEPEND=""
+RDEPEND=""
diff --git a/dev-python/emoji/metadata.xml b/dev-python/emoji/metadata.xml
new file mode 100644
index 0000000..5d5c5a1
--- /dev/null
+++ b/dev-python/emoji/metadata.xml
@@ -0,0 +1,16 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>alexxy@gentoo.org</email>
+ <name>Alexey Shvetsov</name>
+ </maintainer>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="pypi">emoji</remote-id>
+ <remote-id type="github">carpedm20/emoji</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/dev-python/flask-assets/Manifest b/dev-python/flask-assets/Manifest
new file mode 100644
index 0000000..8f46508
--- /dev/null
+++ b/dev-python/flask-assets/Manifest
@@ -0,0 +1 @@
+DIST flask-assets-0.12.tar.gz 23017 SHA256 23067dccafd56dcc82710550d2f11a413dd78b5568e41ab9b01bb68f11424266 SHA512 28a5b275ba002c32e53200038673e507556d0acc12ccc9d2678ea3c179aa93eff275dd8fca9686186d20b65faa1600902e892a6aa4043df449c399008a37179d WHIRLPOOL 1cd57fbf6977d140f08308524301ef865224e04d5cfb955e4d29cc1ea9dcebb7675322865856bfa33a75416f64db31a58d28be932c91861ca2e0d13dbe46f389
diff --git a/dev-python/flask-assets/flask-assets-0.12.ebuild b/dev-python/flask-assets/flask-assets-0.12.ebuild
new file mode 100644
index 0000000..d0e6567
--- /dev/null
+++ b/dev-python/flask-assets/flask-assets-0.12.ebuild
@@ -0,0 +1,21 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=(python2_7 python3_{5,6,7} pypy)
+
+inherit distutils-r1
+
+DESCRIPTION="Flask webassets integration"
+HOMEPAGE="https://github.com/miracle2k/flask-assets"
+SRC_URI="https://github.com/miracle2k/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64"
+
+RDEPEND="
+ >=dev-python/flask-0.8
+ dev-python/webassets"
+BDEPEND="
+ ${RDEPEND}"
diff --git a/dev-python/flask-assets/metadata.xml b/dev-python/flask-assets/metadata.xml
new file mode 100644
index 0000000..4e3e705
--- /dev/null
+++ b/dev-python/flask-assets/metadata.xml
@@ -0,0 +1,15 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>alexxy@gentoo.org</email>
+ <name>Alexey Shvetsov</name>
+ </maintainer>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="github">miracle2k/flask-assets</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/dev-python/flask-babel/Manifest b/dev-python/flask-babel/Manifest
new file mode 100644
index 0000000..ca114db
--- /dev/null
+++ b/dev-python/flask-babel/Manifest
@@ -0,0 +1 @@
+DIST Flask-Babel-0.12.2.tar.gz 44567 SHA256 316ad183e42003f3922957fa643d0a1e8e34a0f0301a88c3a8f605bc37ba5c86 SHA512 c43bf5cf6c66e3a8a52298f52bd6300cf0b0c53a1f0fb5862b1bcf8a9800ea0e043c9f85125bb9eb5c281a3c0583c63f0f9653792204883a6f82080547b37104 WHIRLPOOL 4ccb6c089c556c0b3d4078a4887e69c6f9eb9f291897eca1e8153087a7c48b6f5cc17b763b4182b14bfa22eb28e039859c3935cada8eb53a2fc134d2ba890cd4
diff --git a/dev-python/flask-babel/flask-babel-0.12.2.ebuild b/dev-python/flask-babel/flask-babel-0.12.2.ebuild
new file mode 100644
index 0000000..2f46f1b
--- /dev/null
+++ b/dev-python/flask-babel/flask-babel-0.12.2.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( pypy{,3} python{2_7,3_{4,5,6}} )
+
+inherit distutils-r1
+
+MY_PN="Flask-Babel"
+MY_P="${MY_PN}-${PV}"
+
+DESCRIPTION="i18n and l10n support for Flask based on Babel and pytz"
+HOMEPAGE="https://pythonhosted.org/Flask-Babel/"
+SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${MY_P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+IUSE="doc test"
+
+RDEPEND="dev-python/flask[${PYTHON_USEDEP}]
+ dev-python/Babel[${PYTHON_USEDEP}]
+ dev-python/pytz[${PYTHON_USEDEP}]
+ >=dev-python/jinja-2.5[${PYTHON_USEDEP}]"
+BDEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+ test? (
+ ${RDEPEND}
+ dev-python/nose[${PYTHON_USEDEP}]
+ )"
+
+S="${WORKDIR}/${MY_P}"
+
+python_prepare_all() {
+ sed -i -e "s/'sphinx.ext.intersphinx'//" \
+ -e '/^html_theme =/,/^}/d' docs/conf.py || die
+ distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+ if use doc; then
+ sphinx-build docs docs/_build/html || die
+ HTML_DOCS=( docs/_build/html/. )
+ fi
+}
+
+python_test() {
+ nosetests || die "Tests failed under ${EPYTHON}"
+}
diff --git a/dev-python/flask-babel/metadata.xml b/dev-python/flask-babel/metadata.xml
new file mode 100644
index 0000000..ee71c5b
--- /dev/null
+++ b/dev-python/flask-babel/metadata.xml
@@ -0,0 +1,13 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="pypi">Flask-Babel</remote-id>
+ <remote-id type="github">python-babel/flask-babel</remote-id>
+ <bugs-to>https://github.com/python-babel/flask-babel/issues</bugs-to>
+ </upstream>
+</pkgmetadata>
diff --git a/dev-python/flask-login/Manifest b/dev-python/flask-login/Manifest
new file mode 100644
index 0000000..e8fe184
--- /dev/null
+++ b/dev-python/flask-login/Manifest
@@ -0,0 +1 @@
+DIST flask-login-0.2.11.tar.gz 34885 SHA256 8de5b57224ab6c45218c05230e5ac532cf92adbf2ef6d9d861e5e28185eaa915 SHA512 be03007b3937c0b174a140e599a9b0bbbddcf5bd8ae8d18ac527d5f5443611e7f738809ceb7ad2cfb3aa50600169cb6ae5eb0c57757c255e14656bb6aa92b5c7 WHIRLPOOL f8e8b58d302264e5a5aeb349ae30a7199686386dc82379eba4378de8384ec61ff1697702656f2367dbb47fced2423fffb1fe2140b161b5eb6b78fd26e783099f
diff --git a/dev-python/flask-login/flask-login-0.2.11.ebuild b/dev-python/flask-login/flask-login-0.2.11.ebuild
new file mode 100644
index 0000000..8d7bc0b
--- /dev/null
+++ b/dev-python/flask-login/flask-login-0.2.11.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python2_7 python3_{4,5,6} pypy{,3} )
+
+inherit distutils-r1
+
+DESCRIPTION="Login session support for Flask"
+HOMEPAGE="https://pypi.org/project/Flask-Login/"
+SRC_URI="https://github.com/maxcountryman/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+# pypi tarball is missing tests
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+IUSE="test"
+
+RDEPEND=">=dev-python/flask-0.10[${PYTHON_USEDEP}]"
+BDEPEND="${RDEPEND}
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ test? (
+ dev-python/nose[${PYTHON_USEDEP}]
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/blinker[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep 'dev-python/unittest2[${PYTHON_USEDEP}]' 'python2*' pypy)
+ )"
+
+python_test() {
+ nosetests -v || die "Tests fail with ${EPYTHON}"
+}
diff --git a/dev-python/flask-login/metadata.xml b/dev-python/flask-login/metadata.xml
new file mode 100644
index 0000000..4f9b3ff
--- /dev/null
+++ b/dev-python/flask-login/metadata.xml
@@ -0,0 +1,12 @@
+<?xml version='1.0' encoding='UTF-8'?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="pypi">Flask-Login</remote-id>
+ <remote-id type="github">maxcountryman/flask-login</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/dev-python/flask/Manifest b/dev-python/flask/Manifest
new file mode 100644
index 0000000..f28be97
--- /dev/null
+++ b/dev-python/flask/Manifest
@@ -0,0 +1 @@
+DIST Flask-0.10.1.tar.gz 544247 SHA256 4c83829ff83d408b5e1d4995472265411d2c414112298f2eb4b359d9e4563373 SHA512 0008d62d03a46b071c7d0510513d011a9bfd2b77df7f677371a446ca9805d16b1ee5e17dd8dd7cde6443a629370234e44735e20381de20a7da385969797f053f WHIRLPOOL f30a306ed00fe6d4c8e47b781c556c576b99b3545f833ae06f6b778d91c3127dc0adcc34d48221a0f1db1bb1633f2329d6085b7a4550afc672530525fdff474f
diff --git a/dev-python/flask/files/flask-0.10.1-is_package.patch b/dev-python/flask/files/flask-0.10.1-is_package.patch
new file mode 100644
index 0000000..611d931
--- /dev/null
+++ b/dev-python/flask/files/flask-0.10.1-is_package.patch
@@ -0,0 +1,13 @@
+https://github.com/mitsuhiko/flask/issues/487
+diff -ur Flask-0.10.1.orig/flask/helpers.py Flask-0.10.1/flask/helpers.py
+--- flask/helpers.py 2013-06-14 06:35:43.000000000 +0800
++++ flask/helpers.py 2013-08-16 16:18:36.194006290 +0800
+@@ -679,7 +679,7 @@
+ filename = sys.modules[import_name].__file__
+ package_path = os.path.abspath(os.path.dirname(filename))
+ # package_path ends with __init__.py for a package
+- if loader.is_package(root_mod_name):
++ if package_path.endswith('__init__.py'):
+ package_path = os.path.dirname(package_path)
+
+ site_parent, site_folder = os.path.split(package_path)
diff --git a/dev-python/flask/files/flask-0.10.1-sort_json.patch b/dev-python/flask/files/flask-0.10.1-sort_json.patch
new file mode 100644
index 0000000..e78cd0d
--- /dev/null
+++ b/dev-python/flask/files/flask-0.10.1-sort_json.patch
@@ -0,0 +1,54 @@
+https://github.com/mitsuhiko/flask/commit/a2bc61b5ab19e899735f8945f68123b4cea570d5
+diff --git a/flask/testsuite/helpers.py b/flask/testsuite/helpers.py
+index 636f67f..7de70c0 100644
+--- a/flask/testsuite/helpers.py
++++ b/flask/testsuite/helpers.py
+@@ -173,7 +173,33 @@ def index():
+ c = app.test_client()
+ rv = c.get('/')
+ lines = [x.strip() for x in rv.data.strip().decode('utf-8').splitlines()]
+- self.assert_equal(lines, [
++ sorted_by_str = [
++ '{',
++ '"values": {',
++ '"0": "foo",',
++ '"1": "foo",',
++ '"10": "foo",',
++ '"11": "foo",',
++ '"12": "foo",',
++ '"13": "foo",',
++ '"14": "foo",',
++ '"15": "foo",',
++ '"16": "foo",',
++ '"17": "foo",',
++ '"18": "foo",',
++ '"19": "foo",',
++ '"2": "foo",',
++ '"3": "foo",',
++ '"4": "foo",',
++ '"5": "foo",',
++ '"6": "foo",',
++ '"7": "foo",',
++ '"8": "foo",',
++ '"9": "foo"',
++ '}',
++ '}'
++ ]
++ sorted_by_int = [
+ '{',
+ '"values": {',
+ '"0": "foo",',
+@@ -198,8 +224,12 @@ def index():
+ '"19": "foo"',
+ '}',
+ '}'
+- ])
++ ]
+
++ try:
++ self.assert_equal(lines, sorted_by_int)
++ except AssertionError:
++ self.assert_equal(lines, sorted_by_str)
+
+ class SendfileTestCase(FlaskTestCase):
+
diff --git a/dev-python/flask/files/flask-0.10.1-test_appcontext.patch b/dev-python/flask/files/flask-0.10.1-test_appcontext.patch
new file mode 100644
index 0000000..11dee7a
--- /dev/null
+++ b/dev-python/flask/files/flask-0.10.1-test_appcontext.patch
@@ -0,0 +1,14 @@
+https://github.com/mitsuhiko/flask/commit/f88cc2d2f9d14d97e33ddd2bbaa4b1885db06e1c.
+diff --git a/flask/testsuite/signals.py b/flask/testsuite/signals.py
+index e061932..45ca45d 100644
+--- a/flask/testsuite/signals.py
++++ b/flask/testsuite/signals.py
+@@ -102,7 +102,7 @@ def test_appcontext_signals(self):
+ def record_push(sender, **kwargs):
+ recorded.append('push')
+ def record_pop(sender, **kwargs):
+- recorded.append('push')
++ recorded.append('pop')
+
+ @app.route('/')
+ def index():
diff --git a/dev-python/flask/flask-0.10.1-r2.ebuild b/dev-python/flask/flask-0.10.1-r2.ebuild
new file mode 100644
index 0000000..f2d94b8
--- /dev/null
+++ b/dev-python/flask/flask-0.10.1-r2.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+PYTHON_COMPAT=( python2_7 python3_{5,6,7} pypy )
+
+inherit distutils-r1
+
+DESCRIPTION="A microframework based on Werkzeug, Jinja2 and good intentions"
+MY_PN="Flask"
+MY_P="${MY_PN}-${PV}"
+SRC_URI="mirror://pypi/${MY_P:0:1}/${MY_PN}/${MY_P}.tar.gz"
+HOMEPAGE="https://github.com/mitsuhiko/flask/"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64"
+IUSE="doc examples"
+
+RDEPEND="
+ dev-python/blinker[${PYTHON_USEDEP}]
+ >=dev-python/itsdangerous-0.21[${PYTHON_USEDEP}]
+ >=dev-python/jinja-2.4[${PYTHON_USEDEP}]
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ >=dev-python/werkzeug-0.7[${PYTHON_USEDEP}]
+ doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )"
+BDEPEND="${RDEPEND}"
+# Usual; test phase
+DISTUTILS_IN_SOURCE_BUILD=1
+
+S="${WORKDIR}/${MY_P}"
+
+PATCHES=(
+ "${FILESDIR}"/${P}-is_package.patch
+ "${FILESDIR}"/${P}-sort_json.patch
+ "${FILESDIR}"/${P}-test_appcontext.patch
+)
+
+python_prepare_all() {
+ # Prevent un-needed d'loading
+ sed -e "s/ 'sphinx.ext.intersphinx',//" -i docs/conf.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+ use doc && emake -C docs html
+}
+
+python_test() {
+ "${PYTHON}" run-tests.py || die "Testing failed with ${EPYTHON}"
+}
+
+python_install_all() {
+ use examples && local EXAMPLES=( examples/. )
+ use doc && HTML_DOCS=( docs/_build/html/. )
+
+ distutils-r1_python_install_all
+}
diff --git a/dev-python/flask/metadata.xml b/dev-python/flask/metadata.xml
new file mode 100644
index 0000000..0d86093
--- /dev/null
+++ b/dev-python/flask/metadata.xml
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="pypi">Flask</remote-id>
+ <remote-id type="github">mitsuhiko/flask</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/dev-python/frozendict/Manifest b/dev-python/frozendict/Manifest
new file mode 100644
index 0000000..f99cfbc
--- /dev/null
+++ b/dev-python/frozendict/Manifest
@@ -0,0 +1 @@
+DIST frozendict-1.2.tar.gz 2650 SHA256 774179f22db2ef8a106e9c38d4d1f8503864603db08de2e33be5b778230f6e45 SHA512 095cf5f6f8b02bf5666e04200431992bf4b3160aae3464d528bc256b1ab643e29dda78fe94d9e8c983dbfe66cd2459e0559122e17b6b8660c0552adc5318b3da WHIRLPOOL 63395ae8dc63bd72f782dd3d7b7f9451e4bbcd5f2e153f6a4187f191c7ff25735b147e077a8efac3740b57c16f1b5fa3fdf3a19d9608c746d4faea56ec52c9b4
diff --git a/dev-python/frozendict/frozendict-1.2.ebuild b/dev-python/frozendict/frozendict-1.2.ebuild
new file mode 100644
index 0000000..0eb8501
--- /dev/null
+++ b/dev-python/frozendict/frozendict-1.2.ebuild
@@ -0,0 +1,18 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=(python2_7 python3_{5,6,7} pypy)
+
+inherit distutils-r1
+
+DESCRIPTION="A simple immutable mapping for python"
+HOMEPAGE="https://github.com/slezica/python-frozendict"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+BDEPEND=""
+RDEPEND=""
diff --git a/dev-python/frozendict/metadata.xml b/dev-python/frozendict/metadata.xml
new file mode 100644
index 0000000..c66317b
--- /dev/null
+++ b/dev-python/frozendict/metadata.xml
@@ -0,0 +1,16 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>alexxy@gentoo.org</email>
+ <name>Alexey Shvetsov</name>
+ </maintainer>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="pypi">frozendict</remote-id>
+ <remote-id type="github">slezica/python-frozendict</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/dev-python/future/Manifest b/dev-python/future/Manifest
new file mode 100644
index 0000000..8700c6d
--- /dev/null
+++ b/dev-python/future/Manifest
@@ -0,0 +1 @@
+DIST future-0.17.1.tar.gz 829119 SHA256 67045236dcfd6816dc439556d009594abf643e5eb48992e36beac09c2ca659b8 SHA512 50094c44db81afbfd37ee25e1710ed11ecb2c2d64ad076fb62a2688dd36a9696ab26b0d7989bf1ecb10da251961a0ee6bb37c4dbd115f70384cd8c9a675d0b2d WHIRLPOOL da0ad4369739e8256ee94f88bc19e5315b824675bb1f2e0f90e78bf2786d4becbbfa0f138297790e9b8b5bbc1ce716df6d8b14ac3c869827f04d61a19c456d11
diff --git a/dev-python/future/future-0.17.1.ebuild b/dev-python/future/future-0.17.1.ebuild
new file mode 100644
index 0000000..c70e541
--- /dev/null
+++ b/dev-python/future/future-0.17.1.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python{2_7,3_{5,6,7}} )
+
+inherit distutils-r1
+
+DESCRIPTION="Easy, clean, reliable Python 2/3 compatibility"
+HOMEPAGE="http://python-future.org/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-fbsd ~amd64-linux ~x86-linux"
+IUSE="doc test"
+
+BDEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ doc? (
+ dev-python/sphinx[${PYTHON_USEDEP}]
+ dev-python/sphinx-bootstrap-theme[${PYTHON_USEDEP}]
+ )
+ test? (
+ dev-python/numpy[${PYTHON_USEDEP}]
+ dev-python/pytest[${PYTHON_USEDEP}]
+ )
+"
+
+PATCHES=(
+)
+
+python_prepare_all() {
+ sed -i "/'sphinx.ext.intersphinx'/d" docs/conf.py || die
+ distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+ if use doc; then
+ sphinx-build docs/ docs/_build/html || die
+ HTML_DOCS=( docs/_build/html/. )
+ fi
+}
+
+python_test() {
+ pytest -vv || die "Tests failed under ${EPYTHON}"
+}
diff --git a/dev-python/future/metadata.xml b/dev-python/future/metadata.xml
new file mode 100644
index 0000000..c7fc947
--- /dev/null
+++ b/dev-python/future/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version='1.0' encoding='UTF-8'?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="pypi">future</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/dev-python/jinja/Manifest b/dev-python/jinja/Manifest
new file mode 100644
index 0000000..4deb182
--- /dev/null
+++ b/dev-python/jinja/Manifest
@@ -0,0 +1 @@
+DIST jinja-2.8.1.tar.gz 397144 SHA256 4db3be5bee0552ff185ab9f26d45694caf3b0fb1de68c474d107671ce9559801 SHA512 f4655f1a43c06f7651fbd5251d0538788a3a6a3ffb93d9a8c239711cf043082c43d34706b6d71a18679d957faa6590e7e0259ffb8f7cc5e3300749526417a987 WHIRLPOOL 5a3fc2617b88fdeda0ab21c52761405eb759142589355e34a3c6d0bc96945b1c41a8c64e9e28100c8489b0e270fe4ae21e85bf05d6d82913de5976582d4a2714
diff --git a/dev-python/jinja/jinja-2.8.1.ebuild b/dev-python/jinja/jinja-2.8.1.ebuild
new file mode 100644
index 0000000..2aa32bd
--- /dev/null
+++ b/dev-python/jinja/jinja-2.8.1.ebuild
@@ -0,0 +1,75 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python2_7 python3_{5,6,7} pypy pypy3 )
+PYTHON_REQ_USE="threads(+)"
+
+inherit eutils distutils-r1
+
+DESCRIPTION="A full-featured template engine for Python"
+HOMEPAGE="http://jinja.pocoo.org/ https://pypi.org/project/Jinja2/"
+
+# pypi tarball is missing tests
+SRC_URI="https://github.com/pallets/jinja/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris"
+IUSE="doc examples test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ dev-python/markupsafe[${PYTHON_USEDEP}]
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ !dev-python/jinja:compat"
+DEPEND="${RDEPEND}
+ doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )
+ test? ( dev-python/pytest[${PYTHON_USEDEP}] )"
+
+# XXX: handle Babel better?
+
+wrap_opts() {
+ local mydistutilsargs=()
+
+ if [[ ${EPYTHON} == python* ]]; then
+ mydistutilargs+=( --with-debugsupport )
+ fi
+
+ "${@}"
+}
+
+python_compile() {
+ wrap_opts distutils-r1_python_compile
+ if [[ ${EPYTHON} == python3.2 ]]; then
+ 2to3 --no-diffs -n -w -f unicode "${BUILD_DIR}/lib" || die
+ fi
+}
+
+python_compile_all() {
+ use doc && emake -C docs html
+}
+
+python_test() {
+ py.test || die
+}
+
+python_install_all() {
+ use doc && local HTML_DOCS=( docs/_build/html/. )
+ if use examples ; then
+ docinto examples
+ dodoc -r examples/.
+ fi
+
+ distutils-r1_python_install_all
+
+ insinto /usr/share/vim/vimfiles/syntax
+ doins ext/Vim/*
+}
+
+pkg_postinst() {
+ if ! has_version dev-python/Babel; then
+ elog "For i18n support, please emerge dev-python/Babel."
+ fi
+}
diff --git a/dev-python/jinja/metadata.xml b/dev-python/jinja/metadata.xml
new file mode 100644
index 0000000..03be641
--- /dev/null
+++ b/dev-python/jinja/metadata.xml
@@ -0,0 +1,12 @@
+<?xml version='1.0' encoding='UTF-8'?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="pypi">Jinja2</remote-id>
+ <remote-id type="github">pallets/jinja</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/dev-python/pkginfo/Manifest b/dev-python/pkginfo/Manifest
new file mode 100644
index 0000000..404ce42
--- /dev/null
+++ b/dev-python/pkginfo/Manifest
@@ -0,0 +1 @@
+DIST pkginfo-1.5.0.1.tar.gz 34496 SHA256 7424f2c8511c186cd5424bbf31045b77435b37a8d604990b79d4e70d741148bb SHA512 319bb403970affd5a4222dfdb3d17738630d1350ea84e51ad1bebc6c8c72e0dcfd69a4eaf5e7bd156b8e605d806357922c05cc994dcafb01b7a33c617b2df447 WHIRLPOOL f2f8e138d4005e329e5d8da8a8312bca08239d427cc692a5a90c7f83ea8be8e9c3532cfd5b7a848b907f161c487c8bfdf2a2e362fc93653bdcc06357d32bdc76
diff --git a/dev-python/pkginfo/metadata.xml b/dev-python/pkginfo/metadata.xml
new file mode 100644
index 0000000..c105533
--- /dev/null
+++ b/dev-python/pkginfo/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="pypi">pkginfo</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/dev-python/pkginfo/pkginfo-1.5.0.1.ebuild b/dev-python/pkginfo/pkginfo-1.5.0.1.ebuild
new file mode 100644
index 0000000..b4837c7
--- /dev/null
+++ b/dev-python/pkginfo/pkginfo-1.5.0.1.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python2_7 python3_{5,6,7} pypy pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Provides an API for querying the distutils metadata written in a PKG-INFO file"
+HOMEPAGE="https://pypi.org/project/pkginfo/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86"
+IUSE="doc"
+
+RDEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+ doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )"
+
+python_prepare_all() {
+ # Disable tests that seek to read the version of pkginfo from an installed state
+ # These test will still become installed and testable once installed
+ sed -e 's:test_w_directory_no_EGG_INFO:_&:' \
+ -e 's:test_w_module_and_metadata_version:_&:' \
+ -e 's:test_w_package_name_and_metadata_version:_&:' \
+ -i pkginfo/tests/test_utils.py || die
+ sed -e 's:test_ctor_w_path_nested_egg_info:_&:' \
+ -i pkginfo/tests/test_develop.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+ use doc && emake -C docs html
+}
+
+python_test() {
+ "${PYTHON}" -m unittest discover || die "Tests failed under ${EPYTHON}"
+}
+
+python_install_all() {
+ use doc && local HTML_DOCS=( docs/.build/html/. )
+ distutils-r1_python_install_all
+}
diff --git a/dev-python/pylru/Manifest b/dev-python/pylru/Manifest
new file mode 100644
index 0000000..426de67
--- /dev/null
+++ b/dev-python/pylru/Manifest
@@ -0,0 +1 @@
+DIST pylru-1.2.0.tar.gz 18533 SHA256 492f934bb98dc6c8b2370c02c95c65516ddc08c8f64d27f70087eb038621d297 SHA512 d4b247cb3740c2f94f4f41bd9affbb87db4e2ec8ff566978d130d08fee9df6109c13b64f22536903bf8be3ea60d4b105dd969d1156a279115b6bfedb817cdbf5 WHIRLPOOL 20e8dc94a2b1b921748bf507f94895eacc285faef1960bc7a6cbdfa340822909124ba26cd05856b28fbd5eb8c18a85e85862968c57ed2b7b65b42e7947f31e6d
diff --git a/dev-python/pylru/metadata.xml b/dev-python/pylru/metadata.xml
new file mode 100644
index 0000000..c76e89a
--- /dev/null
+++ b/dev-python/pylru/metadata.xml
@@ -0,0 +1,16 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>alexxy@gentoo.org</email>
+ <name>Alexey Shvetsov</name>
+ </maintainer>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="pypi">pylru</remote-id>
+ <remote-id type="github">jlhutch/pylru</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/dev-python/pylru/pylru-1.2.0.ebuild b/dev-python/pylru/pylru-1.2.0.ebuild
new file mode 100644
index 0000000..2a0fe2a
--- /dev/null
+++ b/dev-python/pylru/pylru-1.2.0.ebuild
@@ -0,0 +1,18 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=(python2_7 python3_{5,6,7} pypy pypy3)
+
+inherit distutils-r1
+
+DESCRIPTION="A least recently used (LRU) cache for Python"
+HOMEPAGE="https://github.com/jlhutch/pylru"
+LICENSE="GPL-2"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+BDEPEND=""
+RDEPEND=""
diff --git a/dev-python/rsa/Manifest b/dev-python/rsa/Manifest
new file mode 100644
index 0000000..aa2a861
--- /dev/null
+++ b/dev-python/rsa/Manifest
@@ -0,0 +1 @@
+DIST rsa-4.0.tar.gz 37385 SHA256 1a836406405730121ae9823e19c6e806c62bbad73f890574fff50efa4122c487 SHA512 e11106741cc4275246c986d39b3f028b5a4df6fbffdd08a78072ac3d3a9a7ade7a39789c504a2705f54d858a9bdbf03981251f32f9c45baba71e4a986e14b24e WHIRLPOOL d4d8a9d6c0046fac3153f2b9fe4fab235b9388941fb16d56993149303dd7a07d8a5d743542fb6c9bd6fae2d8aa13e405105261fa1891bf09a072ff63009d9cec
diff --git a/dev-python/rsa/metadata.xml b/dev-python/rsa/metadata.xml
new file mode 100644
index 0000000..35bbfa2
--- /dev/null
+++ b/dev-python/rsa/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="pypi">rsa</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/dev-python/rsa/rsa-4.0.ebuild b/dev-python/rsa/rsa-4.0.ebuild
new file mode 100644
index 0000000..0fb7d5a
--- /dev/null
+++ b/dev-python/rsa/rsa-4.0.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python2_7 python3_{5,6,7} pypy )
+
+inherit distutils-r1
+
+DESCRIPTION="Pure-Python RSA implementation"
+HOMEPAGE="https://stuvel.eu/rsa https://pypi.org/project/rsa/"
+SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+IUSE="test"
+
+RDEPEND="
+ >=dev-python/pyasn1-0.1.3[${PYTHON_USEDEP}]
+ dev-python/traceback2[${PYTHON_USEDEP}]"
+BDEPEND="${RDEPEND}
+ >=dev-python/setuptools-0.6.10[${PYTHON_USEDEP}]
+ test? (
+ dev-python/nose[${PYTHON_USEDEP}]
+ dev-python/unittest2[${PYTHON_USEDEP}]
+ )
+ "
+
+python_test() {
+ nosetests --verbose || die
+}
diff --git a/dev-python/sarge/Manifest b/dev-python/sarge/Manifest
new file mode 100644
index 0000000..7b87e4f
--- /dev/null
+++ b/dev-python/sarge/Manifest
@@ -0,0 +1 @@
+DIST sarge-0.1.5.tar.gz 16808 SHA256 8e61e12d1024b2b363746322a36f0c31ec998ff2b069f42c8c0ed286747dd0ee SHA512 6b4dcb43371f699de05d05a48c9b758c4d16f5144b1961d51ab109077fbb7be41d983bb31bb63442d9d4258d3a25015c05871c762f05b658ea2a9521aa4d0e62 WHIRLPOOL a8d4cc1827724307948bec75672248d06d02ef253d91f837a50f2d47270df77cde8767cfa69fa5214fcd40d0c0a3e1dbb4a3b0090a1001081426d26a12260eec
diff --git a/dev-python/sarge/metadata.xml b/dev-python/sarge/metadata.xml
new file mode 100644
index 0000000..f34feb6
--- /dev/null
+++ b/dev-python/sarge/metadata.xml
@@ -0,0 +1,15 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>alexxy@gentoo.org</email>
+ <name>Alexey Shvetsov</name>
+ </maintainer>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="pypi">sarge</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/dev-python/sarge/sarge-0.1.5.ebuild b/dev-python/sarge/sarge-0.1.5.ebuild
new file mode 100644
index 0000000..6f0c639
--- /dev/null
+++ b/dev-python/sarge/sarge-0.1.5.ebuild
@@ -0,0 +1,18 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python2_7 python3_{5,6,7} pypy )
+
+inherit distutils-r1
+
+DESCRIPTION="wrapper for subprocess which provides command pipeline functionality"
+HOMEPAGE="http://sarge.readthedocs.org/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+RDEPEND=""
+BDEPEND=""
diff --git a/dev-python/sentry-sdk/Manifest b/dev-python/sentry-sdk/Manifest
new file mode 100644
index 0000000..a093111
--- /dev/null
+++ b/dev-python/sentry-sdk/Manifest
@@ -0,0 +1 @@
+DIST sentry-sdk-0.7.7.tar.gz 41938 SHA256 c5a41eba2d27416c81c901fe86de887e356aec4df7afd3327c324b2b3db7e934 SHA512 01a74897036c131581a478fe62d831ee6dd235268108c9c62a26a3513ac7096c02ae3402de2c902ec4e70011b8edbe8a40bb30fc8fe32f579f1e39fd676465a5 WHIRLPOOL f87869657f9726d98aaf5088cb19bdabaf095f5ce7d06484ca8315df73a5e1f22b00e315fb18475c66eab912ce314e08305de37b7e96efbd8d9d3605144d06e5
diff --git a/dev-python/sentry-sdk/metadata.xml b/dev-python/sentry-sdk/metadata.xml
new file mode 100644
index 0000000..86ca539
--- /dev/null
+++ b/dev-python/sentry-sdk/metadata.xml
@@ -0,0 +1,15 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>alexxy@gentoo.org</email>
+ <name>Alexey Shvetsov</name>
+ </maintainer>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="pypi">sentry-sdk</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/dev-python/sentry-sdk/sentry-sdk-0.7.7.ebuild b/dev-python/sentry-sdk/sentry-sdk-0.7.7.ebuild
new file mode 100644
index 0000000..22a54ea
--- /dev/null
+++ b/dev-python/sentry-sdk/sentry-sdk-0.7.7.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python2_7 python3_{5,6,7} pypy )
+
+inherit distutils-r1
+
+DESCRIPTION="Python client for Sentry"
+HOMEPAGE="https://getsentry.com https://pypi.org/project/sentry-sdk/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="PSF-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+IUSE=""
+
+BDEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
+RDEPEND="
+ dev-python/urllib3
+ dev-python/certifi
+"
+
+python_test() {
+ if [[ ${EPYTHON} == python2* || ${EPYTHON} == pypy ]]; then
+ cd "${S}"/python2 || die
+ else
+ cd "${S}"/src || die
+ fi
+
+ "${PYTHON}" test_typing.py || die "tests failed under ${EPYTHON}"
+}
diff --git a/dev-python/typing/Manifest b/dev-python/typing/Manifest
new file mode 100644
index 0000000..7783925
--- /dev/null
+++ b/dev-python/typing/Manifest
@@ -0,0 +1 @@
+DIST typing-3.6.6.tar.gz 71799 SHA256 4027c5f6127a6267a435201981ba156de91ad0d1d98e9ddc2aa173453453492d SHA512 9baa331a2093276b571f26a21ab6419e85138574109471141eb88ccddb6c30adb6fbda35f11aeb1231adc334191c426c242494b17d593a2b279f09dea1b1f0ca WHIRLPOOL 85f00f580fae0291a81fb4c03249482973c619d1288f5c7aeb27a79fa2838682091b9f4c6ae154b3aa837ace2d557ac6d5a6e24715128cca519284e133ab76cf
diff --git a/dev-python/typing/metadata.xml b/dev-python/typing/metadata.xml
new file mode 100644
index 0000000..8fac39f
--- /dev/null
+++ b/dev-python/typing/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version='1.0' encoding='UTF-8'?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="pypi">typing</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/dev-python/typing/typing-3.6.6.ebuild b/dev-python/typing/typing-3.6.6.ebuild
new file mode 100644
index 0000000..a1ed235
--- /dev/null
+++ b/dev-python/typing/typing-3.6.6.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python2_7 pypy )
+
+inherit distutils-r1
+
+DESCRIPTION="Type Hints for Python"
+HOMEPAGE="https://docs.python.org/3/library/typing.html https://pypi.org/project/typing/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="PSF-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-fbsd ~amd64-linux ~x64-solaris"
+IUSE=""
+
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
+RDEPEND=""
+
+python_test() {
+ if [[ ${EPYTHON} == python2* || ${EPYTHON} == pypy ]]; then
+ cd "${S}"/python2 || die
+ else
+ cd "${S}"/src || die
+ fi
+
+ "${PYTHON}" test_typing.py || die "tests failed under ${EPYTHON}"
+}
diff --git a/dev-python/websocket-client/Manifest b/dev-python/websocket-client/Manifest
new file mode 100644
index 0000000..265e8be
--- /dev/null
+++ b/dev-python/websocket-client/Manifest
@@ -0,0 +1 @@
+DIST websocket-client-0.56.0.tar.gz 36951 SHA256 1fd5520878b68b84b5748bb30e592b10d0a91529d5383f74f4964e72b297fd3a SHA512 f61497b5fa6deea11d0e81c1c0d3092d1efba9bcdb3427a45f51b81059444a486a9aa6a4d046fc2aa805e855d2c8e68a4ba46669c05a45eb928251c50e2e3a50 WHIRLPOOL c46660667a6bf9019ac5219edba0894d5c959b6e5488c13d6e5593d9f1875b51bbc5a15b6ac06e2ed7aa465609b3cc9d14cd12f6eb3020c60399e8f7d2251336
diff --git a/dev-python/websocket-client/metadata.xml b/dev-python/websocket-client/metadata.xml
new file mode 100644
index 0000000..f14d1ae
--- /dev/null
+++ b/dev-python/websocket-client/metadata.xml
@@ -0,0 +1,13 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="pypi">websocket-client</remote-id>
+ <remote-id type="github">websocket-client/websocket-client</remote-id>
+ <bugs-to>https://github.com/websocket-client/websocket-client/issues</bugs-to>
+ </upstream>
+</pkgmetadata>
diff --git a/dev-python/websocket-client/websocket-client-0.56.0.ebuild b/dev-python/websocket-client/websocket-client-0.56.0.ebuild
new file mode 100644
index 0000000..cf45931
--- /dev/null
+++ b/dev-python/websocket-client/websocket-client-0.56.0.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( pypy{,3} python{2_7,3_{5,6,7}} )
+
+inherit distutils-r1
+
+MY_PN=${PN//-/_}
+
+DESCRIPTION="WebSocket client for python with hybi13 support"
+HOMEPAGE="https://github.com/websocket-client/websocket-client"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${MY_PN}-${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86 ~x64-macos"
+IUSE="examples test"
+
+RDEPEND="
+ dev-python/six[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep 'dev-python/backports-ssl-match-hostname[${PYTHON_USEDEP}]' pypy python2_7 )
+"
+DEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ test? ( ${RDEPEND} )
+"
+
+S="${WORKDIR}/${MY_PN}-${PV}"
+
+python_test() {
+ esetup.py test
+}
+
+python_install_all() {
+ if use examples; then
+ docompress -x "/usr/share/doc/${PF}/examples"
+ dodoc -r examples
+ fi
+ distutils-r1_python_install_all
+}
diff --git a/dev-python/werkzeug/Manifest b/dev-python/werkzeug/Manifest
new file mode 100644
index 0000000..910ddc4
--- /dev/null
+++ b/dev-python/werkzeug/Manifest
@@ -0,0 +1 @@
+DIST Werkzeug-0.15.1.tar.gz 924191 SHA256 ca5c2dcd367d6c0df87185b9082929d255358f5391923269335782b213d52655 SHA512 3a161253454f4fd1083c822d3c9b38758eff82b17ac9b5247586050aa6785fbbf421cb8016edabfe4df14897a99b224ed69fd5e07e70b2f22a51f3d2f2db814d WHIRLPOOL e6563f3b51c1e62d34b6b41f95cbcfbda81ea1febe9facef2faebbad273b39921c01c754c3c069b0d392909cc7ed0f396490c89167592ad2a9c0c134c60be852
diff --git a/dev-python/werkzeug/metadata.xml b/dev-python/werkzeug/metadata.xml
new file mode 100644
index 0000000..cc1d62c
--- /dev/null
+++ b/dev-python/werkzeug/metadata.xml
@@ -0,0 +1,15 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
+ <longdescription>
+ Werkzeug is a WSGI utility library. It can serve as the basis for a
+ custom framework.
+</longdescription>
+ <upstream>
+ <remote-id type="pypi">Werkzeug</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/dev-python/werkzeug/werkzeug-0.15.1.ebuild b/dev-python/werkzeug/werkzeug-0.15.1.ebuild
new file mode 100644
index 0000000..4573cc4
--- /dev/null
+++ b/dev-python/werkzeug/werkzeug-0.15.1.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python2_7 python3_{5,6,7} pypy pypy3 )
+
+inherit distutils-r1
+
+MY_PN="Werkzeug"
+MY_P="${MY_PN}-${PV}"
+
+DESCRIPTION="Collection of various utilities for WSGI applications"
+HOMEPAGE="http://werkzeug.pocoo.org/ https://pypi.org/project/Werkzeug/ https://github.com/pallets/werkzeug"
+SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${MY_P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos"
+IUSE="test"
+
+RDEPEND="dev-python/simplejson[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ test? (
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/pytest[${PYTHON_USEDEP}]
+ dev-python/pytest-xprocess[${PYTHON_USEDEP}]
+ )"
+
+S=${WORKDIR}/${MY_P}
+
+python_test() {
+ py.test -v tests || die "Tests failed under ${EPYTHON}"
+}
diff --git a/dev-python/wrapt/Manifest b/dev-python/wrapt/Manifest
new file mode 100644
index 0000000..41b05a9
--- /dev/null
+++ b/dev-python/wrapt/Manifest
@@ -0,0 +1 @@
+DIST wrapt-1.11.1.tar.gz 124773 SHA256 8a6fb40e8f8b6a66b4ba81a4044c68e6a7b1782f21cfabc06fb765332b4c3e51 SHA512 9401c3330b31ebb4d1b6dfe10c3e8e4d931ec43cbc12ddd4b0b74af9a0912b35f4ccdd8530e20766616d3bea2296b34cd0589cf6ac3a1cb708dad8d8c049dde5 WHIRLPOOL d6ed20799beb027734b95fd4dfe8d9bb3f900c9f817c4032b6ad0b37e6f20cc704500d433c5e8cdab8b01be366d11b82dbec03f6e67850d6781788a7fad87a0a
diff --git a/dev-python/wrapt/metadata.xml b/dev-python/wrapt/metadata.xml
new file mode 100644
index 0000000..b3363f7
--- /dev/null
+++ b/dev-python/wrapt/metadata.xml
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="github">GrahamDumpleton/wrapt</remote-id>
+ <remote-id type="pypi">wrapt</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/dev-python/wrapt/wrapt-1.11.1.ebuild b/dev-python/wrapt/wrapt-1.11.1.ebuild
new file mode 100644
index 0000000..74b53ac
--- /dev/null
+++ b/dev-python/wrapt/wrapt-1.11.1.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_{5,6,7} pypy )
+
+inherit distutils-r1 vcs-snapshot
+
+DESCRIPTION="Module for decorators, wrappers and monkey patching"
+HOMEPAGE="https://github.com/GrahamDumpleton/wrapt"
+SRC_URI="https://github.com/GrahamDumpleton/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux ~x64-macos ~x86-macos"
+IUSE="doc test"
+
+DEPEND="
+ test? ( dev-python/pytest[${PYTHON_USEDEP}] )
+ doc? (
+ dev-python/sphinx[${PYTHON_USEDEP}]
+ dev-python/sphinx_rtd_theme[${PYTHON_USEDEP}]
+ )
+"
+RDEPEND=""
+
+python_compile_all() {
+ use doc && emake -C docs html
+}
+
+python_compile() {
+ local WRAPT_EXTENSIONS=true
+
+ distutils-r1_python_compile
+}
+
+python_test() {
+ py.test -vv || die "tests failed under ${EPYTHON}"
+}
+
+python_install_all() {
+ use doc && local HTML_DOCS=( docs/_build/html/. )
+
+ distutils-r1_python_install_all
+}
diff --git a/dev-tex/BibTool/BibTool-2.67.ebuild b/dev-tex/BibTool/BibTool-2.67.ebuild
index 6cb8d24..dd6c6ca 100644
--- a/dev-tex/BibTool/BibTool-2.67.ebuild
+++ b/dev-tex/BibTool/BibTool-2.67.ebuild
@@ -29,6 +29,7 @@ src_prepare()
-e 's,^NON_ANSI_DEFS.*,NON_ANSI_DEFS = @DEFS@ -DSTDC_HEADERS,g' \
-e 's,\$(INSTALLPREFIX),\$(DESTDIR)\$(INSTALLPREFIX),g' \
-i AutoConf/makefile.in || die
+ default
}
src_configure()
diff --git a/www-apps/octoprint/Manifest b/www-apps/octoprint/Manifest
new file mode 100644
index 0000000..565d33d
--- /dev/null
+++ b/www-apps/octoprint/Manifest
@@ -0,0 +1 @@
+DIST octoprint-1.3.11_rc3.tar.gz 5058328 SHA256 0a60ea456782ca0e5fd401032fd357621f582916cec5303fe942c1e41e40e350 SHA512 a9ed4a724a06e6b0167e34d0cd9abc665da186784233718611f025c4b6e01d9686c76f4678e819f50bc664eedf88974316b3f1e3492dca05b2f0b7137026590a WHIRLPOOL fa182e2c22f174d7afcd630860578a40af79f5665eb287d316be59743ccbf19bec7220b0ea9cdc7483035488c3387400f2facd663ecbb5c5930a8056edf5a353
diff --git a/www-apps/octoprint/files/octoprint.confd b/www-apps/octoprint/files/octoprint.confd
new file mode 100644
index 0000000..2f5caad
--- /dev/null
+++ b/www-apps/octoprint/files/octoprint.confd
@@ -0,0 +1,5 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+OCTOPRINT_USER="octoprint"
+OCTOPRINT_GROUP="octoprint"
diff --git a/www-apps/octoprint/files/octoprint.initd b/www-apps/octoprint/files/octoprint.initd
new file mode 100644
index 0000000..69256c1
--- /dev/null
+++ b/www-apps/octoprint/files/octoprint.initd
@@ -0,0 +1,39 @@
+#!/sbin/openrc-run
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+PIDFILE="/run/octoprint/octoprint.pid"
+
+depend() {
+ need net
+}
+
+start() {
+ ebegin "Starting OctoPrint"
+
+ checkpath -q -d -o ${OCTOPRINT_USER}:${OCTOPRINT_GROUP} -m 0770 "$(dirname "${PIDFILE}")"
+
+ start-stop-daemon \
+ --quiet \
+ --start \
+ --user ${OCTOPRINT_USER} \
+ --group ${OCTOPRINT_GROUP} \
+ --background --make-pidfile \
+ --pidfile "${PIDFILE}" \
+ --wait 1000 \
+ --nicelevel -2 \
+ --ionice 1 \
+ --exec /usr/bin/octoprint serve
+
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping OctoPrint"
+
+ start-stop-daemon \
+ --stop \
+ --pidfile "${PIDFILE}"
+
+ eend $?
+}
diff --git a/www-apps/octoprint/metadata.xml b/www-apps/octoprint/metadata.xml
new file mode 100644
index 0000000..086586c
--- /dev/null
+++ b/www-apps/octoprint/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>alexxy@gentoo.org</email>
+ <name>Alexey Shvetsov</name>
+ </maintainer>
+</pkgmetadata>
diff --git a/www-apps/octoprint/octoprint-1.3.11_rc3.ebuild b/www-apps/octoprint/octoprint-1.3.11_rc3.ebuild
new file mode 100644
index 0000000..b4126b5
--- /dev/null
+++ b/www-apps/octoprint/octoprint-1.3.11_rc3.ebuild
@@ -0,0 +1,109 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=(python2_7 pypy)
+
+inherit distutils-r1 user
+
+MY_PN=OctoPrint
+MY_PV=${PV/_/}
+S=${WORKDIR}/${MY_PN}-${MY_PV}
+
+DESCRIPTION="the snappy web interface for your 3D printer"
+HOMEPAGE="https://octoprint.org/"
+LICENSE="AGPL-3"
+SRC_URI="https://github.com/foosel/${MY_PN}/archive/${MY_PV}.tar.gz -> ${P}.tar.gz"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64"
+
+BDEPEND=""
+RDEPEND="
+ >=dev-python/awesome-slugify-1.6.5
+ <dev-python/awesome-slugify-1.7
+ >=dev-python/cachelib-0.1
+ <dev-python/cachelib-0.2
+ >=dev-python/chainmap-1.0.3
+ <dev-python/chainmap-1.1
+ >=dev-python/click-7
+ <dev-python/click-8
+ >=dev-python/emoji-0.5.1
+ <dev-python/emoji-0.6
+ >=dev-python/feedparser-5.2.1
+ <dev-python/feedparser-5.3
+ >=dev-python/flask-0.10.1
+ <dev-python/flask-0.11
+ >=dev-python/flask-assets-0.12
+ <dev-python/flask-assets-0.13
+ >=dev-python/flask-babel-0.12
+ <dev-python/flask-babel-0.13
+ >=dev-python/flask-login-0.2.11
+ <dev-python/flask-login-0.3
+ >=dev-python/flask-principal-0.4
+ <dev-python/flask-principal-0.5
+ >=dev-python/frozendict-1.2
+ <dev-python/frozendict-1.3
+ >=dev-python/future-0.17.1
+ <dev-python/future-0.18
+ >=dev-python/futures-3.2
+ <dev-python/futures-3.3
+ >=dev-python/jinja-2.8.1
+ <dev-python/jinja-2.9
+ >=dev-python/markdown-3.0
+ <dev-python/markdown-3.1
+ >=dev-python/monotonic-1.5
+ <dev-python/monotonic-1.6
+ >=dev-python/netaddr-0.7.19
+ <dev-python/netaddr-0.8
+ >=dev-python/netifaces-0.10.9
+ <dev-python/netifaces-0.11
+ dev-python/pip
+ >=dev-python/pkginfo-1.5.0.1
+ <dev-python/pkginfo-1.6
+ >=dev-python/psutil-5.6.1
+ <dev-python/psutil-5.7
+ >=dev-python/pylru-1.2
+ <dev-python/pylru-1.3
+ >=dev-python/pyserial-3.4
+ <dev-python/pyserial-3.5
+ >=dev-python/pyyaml-5.1
+ <dev-python/pyyaml-6
+ dev-python/regex
+ !~dev-python/regex-2018.11.6
+ >=dev-python/requests-2.21.0
+ <dev-python/requests-3
+ >=dev-python/rsa-4.0
+ <dev-python/rsa-5
+ ~dev-python/sarge-0.1.5
+ >=dev-python/scandir-1.10
+ <dev-python/scandir-1.11
+ >=dev-python/semantic_version-2.6
+ <dev-python/semantic_version-2.7
+ ~dev-python/sentry-sdk-0.7.7
+ >=dev-python/typing-3.6.6
+ <dev-python/typing-4
+ <dev-python/watchdog-0.10
+ >=dev-python/watchdog-0.9.0
+ >=dev-python/websocket-client-0.56
+ <dev-python/websocket-client-0.57
+ >=dev-python/werkzeug-0.15.1
+ <dev-python/werkzeug-0.16
+ >=dev-python/wrapt-1.11.1
+ <dev-python/wrapt-1.12
+ ~www-servers/tornado-4.5.3
+"
+
+pkg_setup()
+{
+ HOMEDIR=/var/lib/$PN
+ enewgroup $PN
+ enewuser $PN -1 -1 $HOMEDIR "$PN,uucp,video"
+}
+
+src_install()
+{
+ distutils-r1_src_install
+ newinitd "$FILESDIR/$PN.initd" "$PN"
+ newconfd "$FILESDIR/$PN.confd" "$PN"
+}
diff --git a/x11-misc/xaut/Manifest b/x11-misc/xaut/Manifest
new file mode 100644
index 0000000..70ee35c
--- /dev/null
+++ b/x11-misc/xaut/Manifest
@@ -0,0 +1 @@
+DIST xaut-0.5.0.tar.gz 103540 SHA256 53fb04ea94ea2d0a3c885fde92a0576085cc1ee751dbbd4490253fcc869d7916 SHA512 a40774a747b57244692dfa6530051751f0ede5509972b11c28e4d9622720e9ca7594e71421233b34bf2aff147d360c00f602b31ddb025181182349f9f23a964b WHIRLPOOL d8e808efcc48a9920e35081ea35e55cb72c42452f1f297bec52d28feb796231dc2079e5ca4c8bd67627bdbba3baba43e54b046d5047a8688ba3b00db1c83e9b4
diff --git a/x11-misc/xaut/metadata.xml b/x11-misc/xaut/metadata.xml
new file mode 100644
index 0000000..2ba8e9e
--- /dev/null
+++ b/x11-misc/xaut/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>desktop-misc@gentoo.org</email>
+ <name>Gentoo Desktop Miscellaneous Project</name>
+ </maintainer>
+</pkgmetadata>
diff --git a/x11-misc/xaut/xaut-0.5.0.ebuild b/x11-misc/xaut/xaut-0.5.0.ebuild
new file mode 100644
index 0000000..c1790a5
--- /dev/null
+++ b/x11-misc/xaut/xaut-0.5.0.ebuild
@@ -0,0 +1,22 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="Control X from command line and find things on screen"
+HOMEPAGE="http://xautomation.sourceforge.net/"
+SRC_URI="mirror://sourceforge/xautomation/${P}.tar.gz"
+
+LICENSE="PSTT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ x11-libs/libX11
+ x11-libs/libXtst
+"
+DEPEND="
+ ${RDEPEND}
+ x11-base/xorg-proto
+ dev-lang/swig
+"